Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.validate
Class Checker

    java.lang.Object
      com.saxonica.validate.Checker

All Implemented Interfaces:
  Result, Receiver

Direct Known Subclasses:
  FieldChecker, StringValueAccumulator

    public abstract class Checker

extends Object
implements Receiver

A Checker is a Receiver used to check the content of elements and attributes, especially those that participate in uniqueness, key, and keyref constraints

Field Summary

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`Checker()`

Method Summary
`void` | `attribute(NodeName nameCode, SimpleType typeCode, CharSequence value, int locationId, int properties)` Notify an attribute.
`void` | `characters(CharSequence chars, int locationId, int properties)` Notify character data.
`void` | `close()` Notify the end of the event stream
`void` | `comment(CharSequence content, int locationId, int properties)` Notify a comment.
`void` | `endDocument()` Notify the end of a document node
`void` | `endElement()` Notify the end of an element.
`Configuration` | `getConfiguration()`
`PipelineConfiguration` | `getPipelineConfiguration()` Get the pipeline configuration
`String` | `getSystemId()`
`void` | `namespace(NamespaceBinding namespaceBinding, int properties)` Notify a namespace.
`void` | `open()` Notify the start of the event stream
`void` | `processingInstruction(String name, CharSequence data, int locationId, int properties)` Output a processing instruction
`void` | `setPipelineConfiguration(PipelineConfiguration config)` Set the pipeline configuration
`void` | `setSystemId(String systemId)` Set the System ID of the tree represented by this event stream
`void` | `setUnparsedEntity(String name, String systemID, String publicID)` Notify an unparsed entity URI.
`void` | `startContent()` Notify the start of the content, that is, the completion of all attributes and namespaces.
`void` | `startDocument(int properties)` Notify the start of a document node
`void` | `startElement(NodeName nameCode, SchemaType typeCode, int locationId, int properties)` Notify the start of an element
`boolean` | `usesTypeAnnotations()` Ask whether this Receiver (or the downstream pipeline) makes any use of the type annotations supplied on element and attribute events

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Checker

    public Checker()

Method Detail

### attribute

    public void attribute(NodeName nameCode,
                          SimpleType typeCode,
                          CharSequence value,
                          int locationId,
                          int properties)
                   throws XPathException

  Description copied from interface: `Receiver`
  Notify an attribute. Attributes are notified after the startElement event, and before any children. Namespaces and attributes may be intermingled.

  Specified by:
    `attribute` in interface `Receiver`
  Parameters:
    `nameCode` - The name of the attribute
    `typeCode` - The type of the attribute, as held in the name pool. The additional bit NodeInfo.IS_DTD_TYPE may be set to indicate a DTD-derived type.
    `value` - the string value of the attribute
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Bit significant value. The following bits are defined:
  DISABLE_ESCAPING
    Disable escaping for this attribute
  NO_SPECIAL_CHARACTERS
    Attribute value contains no special characters
  Throws:
    `XPathException` - if an error occurs

### characters

    public void characters(CharSequence chars,
                           int locationId,
                           int properties)
                    throws XPathException

  Description copied from interface: `Receiver`
  Notify character data. Note that some receivers may require the character data to be sent in a single event, but in general this is not a requirement.

  Specified by:
    `characters` in interface `Receiver`
  Parameters:
    `chars` - The characters
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Bit significant value. The following bits are defined:
  DISABLE_ESCAPING
    Disable escaping for this text node
  USE_CDATA
    Output as a CDATA section
  Throws:
    `XPathException` - if an error occurs

### close

    public void close()
               throws XPathException

  Description copied from interface: `Receiver`
  Notify the end of the event stream

  Specified by:
    `close` in interface `Receiver`
  Throws:
    `XPathException` - if an error occurs

### comment

    public void comment(CharSequence content,
                        int locationId,
                        int properties)
                 throws XPathException

  Description copied from interface: `Receiver`
  Notify a comment. Comments are only notified if they are outside the DTD.

  Specified by:
    `comment` in interface `Receiver`
  Parameters:
    `content` - The content of the comment
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Additional information about the comment.
  Throws:
    `XPathException` - if an error occurs

### endDocument

    public void endDocument()
                     throws XPathException

  Description copied from interface: `Receiver`
  Notify the end of a document node

  Specified by:
    `endDocument` in interface `Receiver`
  Throws:
    `XPathException` - if an error occurs

### endElement

    public void endElement()
                    throws XPathException

  Description copied from interface: `Receiver`
  Notify the end of an element. The receiver must maintain a stack if it needs to know which element is ending.

  Specified by:
    `endElement` in interface `Receiver`
  Throws:
    `XPathException` - if an error occurs

### getConfiguration

    public Configuration getConfiguration()

### getPipelineConfiguration

    public PipelineConfiguration getPipelineConfiguration()

  Description copied from interface: `Receiver`
  Get the pipeline configuration

  Specified by:
    `getPipelineConfiguration` in interface `Receiver`
  Returns:
    the pipeline configuration

### namespace

    public void namespace(NamespaceBinding namespaceBinding,
                          int properties)
                   throws XPathException

  Description copied from interface: `Receiver`
  Notify a namespace. Namespaces are notified after the startElement event, and before any children for the element. The namespaces that are reported are only required to include those that are different from the parent element. The events represent namespace declarations and undeclarations rather than in-scope namespace nodes: an undeclaration is represented by a namespace code of zero. If the sequence of namespace events contains two A namespace must not conflict with any namespaces already used for element or attribute names.

  Specified by:
    `namespace` in interface `Receiver`
  Parameters:
    `namespaceBinding` - contains the namespace prefix and namespace URI
    `properties` - The most important property is REJECT_DUPLICATES. If this property is set, the namespace declaration will be rejected if it conflicts with a previous declaration of the same prefix. If the property is not set, the namespace declaration will be ignored if it conflicts with a previous declaration. This reflects the fact that when copying a tree, namespaces for child elements are emitted before the namespaces of their parent element. Unfortunately this conflicts with the XSLT rule for complex content construction, where the recovery action in the event of conflicts is to take the namespace that comes last. XSLT therefore doesn't recover from this error:
  Throws:
    `XPathException` - if an error occurs

### open

    public void open()
              throws XPathException

  Description copied from interface: `Receiver`
  Notify the start of the event stream

  Specified by:
    `open` in interface `Receiver`
  Throws:
    `XPathException` - if an error occurs

### processingInstruction

    public void processingInstruction(String name,
                                      CharSequence data,
                                      int locationId,
                                      int properties)
                               throws XPathException

  Description copied from interface: `Receiver`
  Output a processing instruction

  Specified by:
    `processingInstruction` in interface `Receiver`
  Parameters:
    `name` - The PI name. This must be a legal name (it will not be checked).
    `data` - The data portion of the processing instruction
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Additional information about the PI.
  Throws:
    `XPathException` - if an error occurs

### setPipelineConfiguration

    public void setPipelineConfiguration(PipelineConfiguration config)

  Description copied from interface: `Receiver`
  Set the pipeline configuration

  Specified by:
    `setPipelineConfiguration` in interface `Receiver`
  Parameters:
    `config` - the pipeline configuration

### setSystemId

    public void setSystemId(String systemId)

  Description copied from interface: `Receiver`
  Set the System ID of the tree represented by this event stream

  Specified by:
    `setSystemId` in interface `Result`
  Specified by:
    `setSystemId` in interface `Receiver`
  Parameters:
    `systemId` - the system ID (which is used as the base URI of the nodes if there is no xml:base attribute)

### setUnparsedEntity

    public void setUnparsedEntity(String name,
                                  String systemID,
                                  String publicID)
                           throws XPathException

  Description copied from interface: `Receiver`
  Notify an unparsed entity URI.

  Specified by:
    `setUnparsedEntity` in interface `Receiver`
  Parameters:
    `name` - The name of the unparsed entity
    `systemID` - The system identifier of the unparsed entity
    `publicID` - The public identifier of the unparsed entity
  Throws:
    `XPathException` - if an error occurs

### startContent

    public void startContent()
                      throws XPathException

  Description copied from interface: `Receiver`
  Notify the start of the content, that is, the completion of all attributes and namespaces. Note that the initial receiver of output from XSLT instructions will not receive this event, it has to detect it itself. Note that this event is reported for every element even if it has no attributes, no namespaces, and no content.

  Specified by:
    `startContent` in interface `Receiver`
  Throws:
    `XPathException` - if an error occurs

### startDocument

    public void startDocument(int properties)
                       throws XPathException

  Description copied from interface: `Receiver`
  Notify the start of a document node

  Specified by:
    `startDocument` in interface `Receiver`
  Parameters:
    `properties` - bit-significant integer indicating properties of the document node. The definitions of the bits are in class `ReceiverOptions`
  Throws:
    `XPathException` - if an error occurs

### startElement

    public void startElement(NodeName nameCode,
                             SchemaType typeCode,
                             int locationId,
                             int properties)
                      throws XPathException

  Description copied from interface: `Receiver`
  Notify the start of an element

  Specified by:
    `startElement` in interface `Receiver`
  Parameters:
    `nameCode` - the name of the element.
    `typeCode` - the type annotation of the element.
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - bit-significant properties of the element node. If there are no revelant properties, zero is supplied. The definitions of the bits are in class `ReceiverOptions`
  Throws:
    `XPathException` - if an error occurs

### getSystemId

    public String getSystemId()

  Specified by:
    `getSystemId` in interface `Result`

### usesTypeAnnotations

    public boolean usesTypeAnnotations()

  Description copied from interface: `Receiver`
  Ask whether this Receiver (or the downstream pipeline) makes any use of the type annotations supplied on element and attribute events

  Specified by:
    `usesTypeAnnotations` in interface `Receiver`
  Returns:
    true if the Receiver makes any use of this information. If false, the caller may supply untyped nodes instead of supplying the type annotation (or conversely, it may avoid stripping unwanted type annotations)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.